#
# spec file for package perl-Test-Differences
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-Differences
Version:        0.64
Release:        lp151.2.1
%define cpan_name Test-Differences
Summary:        Test strings and data structures and show differences if not ok
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-Differences/
Source0:        http://www.cpan.org/authors/id/D/DC/DCANTRELL/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Capture::Tiny) >= 0.24
BuildRequires:  perl(Data::Dumper) >= 2.126
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Text::Diff) >= 0.35
Requires:       perl(Capture::Tiny) >= 0.24
Requires:       perl(Data::Dumper) >= 2.126
Requires:       perl(Test::More) >= 0.88
Requires:       perl(Text::Diff) >= 0.35
%{perl_requires}

%description
When the code you're testing returns multiple lines, records or data
structures and they're just plain wrong, an equivalent to the Unix 'diff'
utility may be just what's needed. Here's output from an example test
script that checks two text documents and then two (trivial) data
structures:

 t/99example....1..3
 not ok 1 - differences in text
 #     Failed test ((eval 2) at line 14)
 #     +---+----------------+----------------+
 #     | Ln|Got             |Expected        |
 #     +---+----------------+----------------+
 #     |  1|this is line 1  |this is line 1  |
 #     *  2|this is line 2  |this is line b  *
 #     |  3|this is line 3  |this is line 3  |
 #     +---+----------------+----------------+
 not ok 2 - differences in whitespace
 #     Failed test ((eval 2) at line 20)
 #     +---+------------------+------------------+
 #     | Ln|Got               |Expected          |
 #     +---+------------------+------------------+
 #     |  1|        indented  |        indented  |
 #     *  2|        indented  |\tindented        *
 #     |  3|        indented  |        indented  |
 #     +---+------------------+------------------+
 not ok 3
 #     Failed test ((eval 2) at line 22)
 #     +----+-------------------------------------+----------------------------+
 #     | Elt|Got                                  |Expected                    |
 #     +----+-------------------------------------+----------------------------+
 #     *   0|bless( [                             |[                           *
 #     *   1|  'Move along, nothing to see here'  |  'Dry, humorless message'  *
 #     *   2|], 'Test::Builder' )                 |]                           *
 #     +----+-------------------------------------+----------------------------+
 # Looks like you failed 3 tests of 3.

eq_or_diff_...() compares two strings or (limited) data structures and
either emits an ok indication or a side-by-side diff. Test::Differences is
designed to be used with Test.pm and with Test::Simple, Test::More, and
other Test::Builder based testing modules. As the SYNOPSIS shows, another
testing module must be used as the basis for your test suite.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Fri Nov 27 2015 coolo@suse.com
- updated to 0.64
  see /usr/share/doc/packages/perl-Test-Differences/Changes
  0.64 Sun November 22, 2015
  - Bump dependency version for Text::Diff to avoid a buggy release
  - Make tests pass with relocation perl (see
    https://rt.cpan.org/Ticket/Display.html?id=103133)
* Sat Feb  7 2015 coolo@suse.com
- updated to 0.63
  - Minor doco-fixes
  - Remove use of flatten, always use Data::Dumper for saner, more readable
    output, fixes RT #95446 (David Precious (bigpresh))
* Mon Sep 15 2014 coolo@suse.com
- updated to 0.62
  - Document the Text::Diff unicode fix.
  - Add ability to customise 'Got' and 'Expected' column headers
* Tue Dec 27 2011 coolo@suse.com
- fix typo in provide
* Sun Nov 20 2011 coolo@suse.com
- update to 0.61
  - Allow an option to override Sortkeys in C<eq_or_diff>. Thanks to Mark
    Zealey for the suggestion.
  - Unnumbered tests. There's no point to them.
  - Make '' and undef not equal. Thanks to Pavel Shaydo for the patch.
  - Made Data::Dumper minimum version 2.126 to resolve
    https://rt.cpan.org/Ticket/Display.html?id=60798. Thanks to
    jjnapiork@cpan.org  for the report and fix.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jul 25 2010 pascal.bleser@opensuse.org
- initial package (0.500)
